package com.fjs.scenic.mapper.user;

import com.fjs.scenic.entity.user.StatisticalPermissions;
import com.fjs.scenic.mapper.common.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface StatisticalPermissionsMapper extends BaseMapper<StatisticalPermissions> {

    List<HashMap<String,Object>> selectByUserID(Integer id);

    List<Integer> getByUserID(Integer id);

    List<Map<String,Object>> getByOpenID(@Param("openID")String openID);
}